Subject: [PATCH] hackage import: Setup.hs generation and revision support

From: Robert Vollmert <[email-masked]>
Date: Wed, 22 May 2019 22:11:50 +0200

These patches are on top of

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=35812 (fix cabal tests)
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=35846 (braced properties)

- substitute missing Setup.hs and remove manual per-package workarounds
- handle hackage metadata revisions

I believe the code works, but some may not be the most idiomatic scheme
code. Particularly around building the quoted argument list and returning
a pair of cabal data and hash.